package com.inspect.system.service.impl;

import com.inspect.system.base.domain.SysLoginFor;
import com.inspect.system.mapper.SysLoginForMapper;
import com.inspect.system.service.ISysLoginForService;

import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class SysLoginForServiceImpl implements ISysLoginForService {
    private final SysLoginForMapper sysLoginForMapper;

    public SysLoginForServiceImpl(SysLoginForMapper sysLoginForMapper) {
        this.sysLoginForMapper = sysLoginForMapper;
    }

    public int insertLoginFor(SysLoginFor loginFor) {
        return this.sysLoginForMapper.insertLoginFor(loginFor);
    }

    public List<SysLoginFor> selectLoginForList(SysLoginFor loginFor) {
        return this.sysLoginForMapper.selectLogininforList(loginFor);
    }

    public int deleteLoginForByIds(Long[] infoIds) {
        return this.sysLoginForMapper.deleteLoginForByIds(infoIds);
    }

    public void cleanLoginFor() {
        this.sysLoginForMapper.cleanLoginFor();
    }
}
